Grouping, ordering and viewing issues list by parent tasks
Status: Closed Start date: 2010-03-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

There is new feature subtasks in trunk (from r3573).

But there are not abilities to group or order issues by their parent tasks in project issues list.

Also there is not ability to include root/parent task column in issues list.

-

It will be very usefull to maintain project plan and control project progress.

Related issues:

Related to Redmine - Defect #5384: Subtickets not showing properly in issue list New 2010-04-26

Related to Redmine - Defect #7646: Tasks organization Closed 2011-02-18

Is duplicate of Redmine - Patch #5101: Show nested issues in a hierarchic list Closed 2010-03-17

Has duplicate Redmine - Feature #5325: Add Parent Task to 'Group Results By' ... New 2010-04-15

Associated revisions

Revision 3618 - 2010-03-27 17:55 - Jean-Philippe Lang

Issue list improvements for subtasking (#5196):

makes the parent task column available

display the issue hierarchy when list is sorted by parent

History

#1 - 2010-03-27 18:00 - Jean-Philippe Lang

- File tree_view.png added

- Status changed from New to Resolved

- Resolution set to Fixed

r3618 makes the parent task column available on the issue list. If you sort issues by parent, you will get a tree view:

 

#2 - 2010-03-28 10:30 - Vladimir Potekhin

Jean-Philippe, thank you!

I will try and test this feature and report results and applicability and facility of this realization.

#3 - 2010-03-31 16:40 - Felix Schäfer

- Status changed from Resolved to Closed

Emiliano Heyns wrote:

Since #5196 is already in, I would propose marking this a duplicate and closing it, I'll continue the discussion on #5196 itself.

2025-07-11 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/3573
https://www.redmine.org/projects/redmine/repository/svn/revisions/3618
https://www.redmine.org/issues/5196
https://www.redmine.org/issues/5196


 Done.

#4 - 2010-03-31 16:47 - Felix Schäfer

- Status changed from Closed to Reopened

Wow, no idea how that last comment got here, but it should comment (and actually also does) #5101…

Jean-Philippe Lang: 1. could you please reset the status to Resolved? 2. IIRC I added the duplicated by #5196 (this one here) relation in #5101, then

closed and commented #5101, which seems to have duplicated the comment here. I'll try to reproduce it, but I'm not sure I'll have the time, could you

try to give it a go?

#5 - 2010-05-09 12:56 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Wow, no idea how that last comment got here, but it should comment (and actually also does) #5101

 Closing an issue closes duplicates with the same comment.

#6 - 2012-12-25 13:55 - Toshi MARUYAMA

- Description updated
